1. Organization Teams
Apidog API
  • Introduction
  • API Versions
  • Authentication
  • Import & Export
    • Import OpenAPI/Swagger Data
      POST
    • Import Postman Collection Data
      POST
    • Export Data in OpenAPI/Swagger Format
      POST
  • Team Access Grants
    • Assign a team role via the external API
      POST
  • Project Access
    • Find Team Projects by Exact Match
      GET
    • Find Accessible Teams by Exact Match
      GET
    • Grant or Invite Project Access
      POST
    • List Available Project Roles for a Team
      GET
  • Organization Teams
    • Create organization team
      POST
  • Schemas
    • TeamRole
    • ErrorResponse
    • ProjectAccessMode
    • CreateTeamAccessGrantRequest
    • TeamAccessGrant
    • CreateTeamAccessGrantResponse
  1. Organization Teams

Create organization team

POST
/v1/organizations/{organizationId}/teams
Creates a Team in the specified Organization. Team creation is a Free feature. The required organization role depends on the Organization's allowMembersToCreateTeams setting: when it is enabled, an Organization MEMBER may create a Team; otherwise, the caller must have Organization ADMIN permission. The Organization ID is taken from the path and cannot be overridden by the request body.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Organization Team created successfully.
Bodyapplication/json

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.apidog.com/v1/organizations/1/teams?locale=en-US' \
--header 'X-Apidog-Api-Version: 2026-05-28' \
--header 'X-Apidog-Api-Version: 2024-03-28' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": 0,
        "name": "string",
        "organizationId": 0,
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-09-01 06:22:35
Previous
List Available Project Roles for a Team
Next
TeamRole
Built with